| THM1176InstrumentDriver 1.2 C++ API for Metrolab THM1176

Loading...
Searching...
No Matches
MTL::Instrument::THM1176Types::sVersion Struct Reference

Major and minor version numbers. More...

`#include <THM1176Types.h>`

## Public Member Functions
| sVersion (U8 Maj=0, U8 Min=0)
| Constructor.
void | clear (void)
| Clear to default (zeroes).
bool | operator== (sVersion other) const
| Equality operator.
bool | operator!= (sVersion other) const
| Inequality operator.

## Public Attributes
U8 | Major = 0
| Major version number.
U8 | Minor = 0
| Minor version number.
std::string | Name = ""
| Version name.

## Detailed Description

Major and minor version numbers.

Definition at line 313 of file THM1176Types.h.

## Constructor & Destructor Documentation

## ◆ sVersion()

MTL::Instrument::THM1176Types::sVersion::sVersion | ( | U8 | Maj = 0,
|  | U8 | Min = 0 )
| inline

Constructor.

Parameters

  [in] | Maj | Major version number.
  [in] | Min | Minor version number.

Definition at line 323 of file THM1176Types.h.

## Member Function Documentation

## ◆ clear()

void MTL::Instrument::THM1176Types::sVersion::clear | ( | void |  | ) |

Clear to default (zeroes).

Definition at line 174 of file THM1176Types.cpp.

## ◆ operator!=()

bool MTL::Instrument::THM1176Types::sVersion::operator!= | ( | sVersion | other | ) | const

Inequality operator.

Definition at line 185 of file THM1176Types.cpp.

## ◆ operator==()

bool MTL::Instrument::THM1176Types::sVersion::operator== | ( | sVersion | other | ) | const

Equality operator.

Definition at line 179 of file THM1176Types.cpp.

## Member Data Documentation

## ◆ Major

U8 MTL::Instrument::THM1176Types::sVersion::Major = 0

Major version number.

Definition at line 315 of file THM1176Types.h.

## ◆ Minor

U8 MTL::Instrument::THM1176Types::sVersion::Minor = 0

Minor version number.

Definition at line 316 of file THM1176Types.h.

## ◆ Name

std::string MTL::Instrument::THM1176Types::sVersion::Name = ""

Version name.

Definition at line 317 of file THM1176Types.h.

The documentation for this struct was generated from the following files:

- THM1176InstrumentDriver/include/THM1176Types.h
- THM1176InstrumentDriver/src/THM1176Types.cpp